ONEWIRE(4)

NAME
onewire - 1-Wire bus

SYNOPSIS
onewire* at gpioow?

option ONEWIREVERBOSE

DESCRIPTION
1-Wire bus was originally developed by Dallas Semiconductor for connecting integrated circuits. It is commonly used for connecting devices such as electronic keys, EEPROMs, temperature sensors, real-time clocks, security chips, etc.

The onewire driver provides a uniform programming interface layer between 1-Wire master controllers and various 1-Wire slave devices. Each 1-Wire master controller attaches a onewire framework; several slave devices can then be attached to the onewire bus.

The driver supports plugging and unplugging slave devices on the fly.

SUPPORTED MASTERS
ds2482ow(4)
    I2C to 1-Wire bridge
gpioow(4)
    1-Wire bus bit-banging through GPIO pin

SUPPORTED SLAVES
ds28e17iic(4)
    1-Wire to IIC bridge
owtemp(4)
    temperature family type device

SEE ALSO
intro(4)

HISTORY
The onewire driver first appeared in OpenBSD 4.0 and NetBSD 4.0.

AUTHORS
-nosplit The onewire driver was written by Alexander Yurchenko <grange@openbsd.org> and ported to NetBSD by Jeff Rizzo <riz@NetBSD.org>.